package mprj.doerj.caderno.configuration;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;
import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition.Scope;

import aQute.bnd.annotation.metatype.Meta;

@ExtendedObjectClassDefinition (
		category="MPRJ",
		scope=Scope.PORTLET_INSTANCE
)
@Meta.OCD(
		id = "mprj.doerj.caderno.configuration.DoerjCadernoPortletConfiguration",
	    name="Caderno do Diario Oficial"
	    
)


public interface DoerjCadernoPortletConfiguration {
	
	@Meta.AD(required = false)
	public String urlOrgao();

	
	@Meta.AD(required = false)
	public String PGJConfig();

	@Meta.AD(required = false)
	public String CGMPConfig();
	
	@Meta.AD(required = false)
	public String SGJAConfig();
	
	@Meta.AD(required = false)
	public String SGJPIConfig();
	
	@Meta.AD(required = false)
	public String SGJACIConfig();
	
	@Meta.AD(required = false)
	public String SGJACDHConfig();
	
	@Meta.AD(required = false)
	public String SGJRIDPConfig();
	
	@Meta.AD(required = false)
	public String CGConfig();
	
	@Meta.AD(required = false)
	public String CJConfig();
	
	@Meta.AD(required = false)
	public String AEConfig();
	
	@Meta.AD(required = false)
	public String CMPROCJConfig();
	
	@Meta.AD(required = false)
	public String CMPROMJConfig();
	
	@Meta.AD(required = false)
	public String CSIConfig();
	
	@Meta.AD(required = false)
	public String CEAFConfig();
	
	@Meta.AD(required = false)
	public String OUVIConfig();
	
	@Meta.AD(required = false)
	public String SGMPConfig();
	
	@Meta.AD(required = false)
	public String AAOMCConfig();
	
	@Meta.AD(required = false)
	public String ARCCConfig();
	
	@Meta.AD(required = false)
	public String GAOMCConfig();
	
	@Meta.AD(required = false)
	public String ARCCRIConfig();
	
	@Meta.AD(required = false)
	public String ACConfig();
	
	@Meta.AD(required = false)
	public String ADHMConfig();
	
	@Meta.AD(required = false)
	public String AAPConfig();
	
	@Meta.AD(required = false)
	public String AIConfig();
	
	

}
